body {
  margin: 0px;
}
.flex-container {
  display: flex;
  color: white;
  height: 80px;
  background-color: #be3144;
  justify-content: space-between;
  position: fixed;
  width: 100%;
}
/* .logo {
  color: linear-gradient(red, yellow);
} */
nav a {
  color: white;
  font-size: 25px;
  text-decoration: none;
  margin-right: 30px;
  height: 59.5px;
  display: inline-block;
  font-family: "Poppins", sans-serif;
  padding-top: 20px;
  padding-left: 10px;
  padding-right: 10px;
}
nav a:hover {
  background-color: #45567d;
}

.icon {
  display: none;
}
main {
  background-color: rgba(0, 0, 0, 0.952);
  background-image: linear-gradient(62deg, #3a3d40 0%, #181719 100%);
}

.flex-main {
  display: flex;
  justify-content: center;
  height: 700px;
  align-items: center;
  flex-direction: column;
}
.flex-main h1 {
  font-size: 45px;
  color: #ffffff;
  font-family: "Poppins";
  margin-bottom: 0;
}

.flex-main .tagline {
  font-size: 25px;
  color: #c00707;
  text-align: center;
  font-family: "Poppins";
}
/* css for gallery*/

#project {
  background-color: #45567d;
}
.gallery {
  height: auto;
  margin-top: 0em;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  padding-right: 75px;
  padding-left: 75px;
  background-color: #627194;
}

.photos-title {
  display: flex;
  justify-content: center;
  background-color: #627194;
  padding-bottom: 60px;
  padding-top: 140px;
}

.photos-title h1 {
  font-size: 2.8rem;
  color: white;
  font-family: "Raleway", sans-serif;
  border-bottom: 0.2rem solid white;
  text-align: center;
  margin: 0%;
}

.gallery section {
  align-content: center;
}

.gallery img {
  background-color: rgb(68, 66, 66);
  height: 250px;
  width: 384px;
  margin-bottom: 0px;
  margin-top: 10px;
  margin-left: -4px;
}
.image-caption {
  background-color: #627194;
  margin-bottom: 50px;
}
.image a {
  text-decoration: none;
}

.image p {
  margin: -4px;
  width: 384px;
  height: 54px;
  background-color: rgb(68, 66, 66);

  border-bottom-left-radius: 4px;
  border-bottom-right-radius: 4px;
  font-family: Arial, Helvetica, sans-serif;
  font-size: 22px;
  color: white;
  text-align: center;
  padding-top: 20px;
  text-decoration: none;
}
.show1 {
  color: rgb(68, 67, 67);
  transition: color 0.5s ease-in-out;
}

.image-caption p:hover .show1 {
  color: rgb(231, 94, 40);
}

.button {
  display: flex;
  justify-content: center;
  background-color: #627194;
}

.button a {
  background-color: black;
  color: white;
  padding: 15px;
  margin-top: 70px;
  margin-bottom: 120px;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  font-size: 20px;
  text-decoration: none;
  border-radius: 2px;
}
.button a:hover {
  background-color: rgb(214, 20, 20);
}
.button a:hover .button1 {
  background-color: rgb(214, 15, 15);
  word-spacing: 7px;
  transition: word-spacing 0.5s ease-in-out;
}
.foot {
  flex-direction: column;
  display: flex;
  height: auto;
  padding-top: 150px;
  padding-bottom: 80px;
  margin: 0;
  background-color: rgb(41, 41, 41);
  justify-content: center;
  align-items: center;
}
.foot div {
  text-align: center;
}

.foot .contact-greet {
  margin-top: 150px;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  font-size: 3rem;
  font-weight: bold;
  color: white;
}

.foot .contact-tagline {
  font-family: "Trebuchet MS", "Lucida Sans Unicode", "Lucida Grande",
    "Lucida Sans", Arial, sans-serif;
  font-size: 20px;
  font-style: italic;
  word-spacing: 2px;
  color: white;
  padding-bottom: 80px;
  margin-bottom: 100px;
}
.foot .social-contact {
  display: flex;
  flex-wrap: wrap;
}
.foot .social-media .social-contact div {
  padding: 20px;
  padding-top: 100px;
  font-family: "Trebuchet MS", "Lucida Sans Unicode", "Lucida Grande",
    "Lucida Sans", Arial, sans-serif;
  font-size: 30px;
  color: white;
  align-items: center;
}

.facebook a {
  color: white;
  text-decoration: none;
}

.social-media .social-contact .facebook:hover {
  
  transition: padding 0.3s ease-in-out;
  padding-top: 40px;
  padding-bottom: 0;
}

.social-media .social-contact .github:hover {
 
  transition: padding 0.3s ease-in-out;
  padding-top: 40px;
  padding-bottom: 0;
}

.social-media .social-contact .Instagram:hover {
  color: white;
  transition: padding 0.3s ease-in-out;
  padding-top: 40px;
  padding-bottom: 0;
}
.social-media .social-contact .email:hover {
  color: white;
  transition: padding 0.3s ease-in-out;
  padding-top: 40px;
  padding-bottom: 0;
}

.social-media .social-contact .codepen:hover {
  
  transition: padding 0.3s ease-in-out;
  padding-top: 40px;
  padding-bottom: 0;
}
/* .social-media .social-contact  .call:hover {
  color: white;
  transition: padding 0.3s ease-in-out;
  padding-top: 40px;
  padding-bottom: 0;
} */

.foot .social-media img {
  height: 15px;
}
.copyright {
  display: flex;
  height: 100px;
  margin: 0;
  background-color: rgb(41, 41, 41);
  justify-content: space-evenly;
}

.hr {
  display: inline;
  background-color: rgb(41, 41, 41);
  margin: 0;
  padding: 0;
}
hr {
  margin-top: 0;
  margin-bottom: 0;
  padding-top: 0;
  padding-bottom: 0;
  border: 2px solid red;
}
.copyright .endline {
  margin-top: 40px;
  font-family: "Trebuchet MS", "Lucida Sans Unicode", "Lucida Grande",
    "Lucida Sans", Arial, sans-serif;
  font-size: 18px;
  color: white;
  text-align: center;
}
.foot .social-media .social-contact div a {
  text-decoration: none;
  color: white;
}
@media (max-width: 515px) {
  body {
    width: 100%;
  }
  .flex-container {
    height: auto;
    width: auto;
    position: unset;
  }
  .navigatiion a {
    display: block;
  }
  .navigation nav {
    display: flex;
    flex-direction: column;
  }
  .flex-main h1 {
    text-align: center;
  }
  .photos-title h1 {
    font-size: 25px;
  }
  .gallery img {padding: 0px;
    margin: 5px;
    width: 250px;
    margin: -4px;
  }
  .image p {
    width: 250px;
  }
  .foot .social-contact {
    display: block;
  }
  .social-media .social-contact .facebook:hover {
    transition: none;
  }
  .social-media .social-contact .github:hover {
    transition: none;
  }
  .social-media .social-contact .Instagram:hover {
    transition: none;
  }
  .social-media .social-contact .Instagram:hover {
    transition: none;
  }
  .social-media .social-contact .codepen:hover {
    transition: none;
  }
  /* .social-media .social-contact  .call:hover {
    transition: none;
  } */
  .gallery {
    justify-content: center;
    padding-right: auto;
    padding-left: auto;
  }
  .gallery img {
    height: auto;
  }
  .foot .social-media .social-contact div {
    padding: 20px;
  }
.navigation {
  display: none;
}
.icon {
  display: block;
  padding-top: 10px;
  padding-right: 20px;
}
}
